Package com.massivecraft.factions.listeners

## Class FactionsChatListener

- java.lang.Object
- - com.massivecraft.factions.listeners.FactionsChatListener

All Implemented Interfaces:
  `org.bukkit.event.Listener`

    public class FactionsChatListener
    extends java.lang.Object
    implements org.bukkit.event.Listener

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`FactionsChatListener()` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `onPlayerChat​(org.bukkit.event.player.AsyncPlayerChatEvent event)` |
`void` | `onPlayerEarlyChat​(org.bukkit.event.player.AsyncPlayerChatEvent event)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FactionsChatListener

    public FactionsChatListener()

### Method Detail

#### onPlayerEarlyChat

    public void onPlayerEarlyChat​(org.bukkit.event.player.AsyncPlayerChatEvent event)

#### onPlayerChat

    public void onPlayerChat​(org.bukkit.event.player.AsyncPlayerChatEvent event)